Update Ndp Submission By Id
curl --request PATCH \
--url https://api.develophealth.ai/prior-authorization/{id}/ndp-submission \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preferred_pharmacy_ncpdp_id": "<string>"
}
'import requests
url = "https://api.develophealth.ai/prior-authorization/{id}/ndp-submission"
payload = { "preferred_pharmacy_ncpdp_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({preferred_pharmacy_ncpdp_id: '<string>'})
};
fetch('https://api.develophealth.ai/prior-authorization/{id}/ndp-submission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.develophealth.ai/prior-authorization/{id}/ndp-submission",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'preferred_pharmacy_ncpdp_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.develophealth.ai/prior-authorization/{id}/ndp-submission"
payload := strings.NewReader("{\n \"preferred_pharmacy_ncpdp_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.develophealth.ai/prior-authorization/{id}/ndp-submission")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"preferred_pharmacy_ncpdp_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.develophealth.ai/prior-authorization/{id}/ndp-submission")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"preferred_pharmacy_ncpdp_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"preferred_pharmacy_ncpdp_id": "1234567"
}
}{
"detail": "Cannot update preferred pharmacy for a prior authorization request with status: COMPLETED"
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": "Prior Authorization Request does not exist."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Update a prior authorization NDP submission
Update the preferred pharmacy NCPDP ID for a prior authorization’s NDP submission. Only allowed while the PA request is active and no transfer attempts have been made.
PATCH
/
prior-authorization
/
{id}
/
ndp-submission
Update Ndp Submission By Id
curl --request PATCH \
--url https://api.develophealth.ai/prior-authorization/{id}/ndp-submission \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preferred_pharmacy_ncpdp_id": "<string>"
}
'import requests
url = "https://api.develophealth.ai/prior-authorization/{id}/ndp-submission"
payload = { "preferred_pharmacy_ncpdp_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({preferred_pharmacy_ncpdp_id: '<string>'})
};
fetch('https://api.develophealth.ai/prior-authorization/{id}/ndp-submission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.develophealth.ai/prior-authorization/{id}/ndp-submission",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'preferred_pharmacy_ncpdp_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.develophealth.ai/prior-authorization/{id}/ndp-submission"
payload := strings.NewReader("{\n \"preferred_pharmacy_ncpdp_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.develophealth.ai/prior-authorization/{id}/ndp-submission")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"preferred_pharmacy_ncpdp_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.develophealth.ai/prior-authorization/{id}/ndp-submission")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"preferred_pharmacy_ncpdp_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"preferred_pharmacy_ncpdp_id": "1234567"
}
}{
"detail": "Cannot update preferred pharmacy for a prior authorization request with status: COMPLETED"
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": "Prior Authorization Request does not exist."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Overview
This endpoint allows you to update the preferred pharmacy for a prior authorization request with a non-dispensing pharmacy submission. The prescription transferred to the NDP will be transferred to the preferred pharmacy once the prior authorization is approved.API errors
| HTTP status | Meaning |
|---|---|
400 | The PA is in a terminal state or the prescription transfer has already been initiated. |
404 | The PA does not exist, is not visible to the authenticated organization, or has no NDP submission details. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to update the NDP submission details of a prior authorization. Currently only supports updating the preferred pharmacy NCPDP ID.
The new NCPDP ID of the preferred pharmacy where the prescription will be transferred after the PA request has been approved.
Pattern:
^\d{7}$Response
Successfully updated preferred pharmacy.
Represents the response structure for a PATCH /prior-authorization/:id/ndp-submission request.